# Generate all series posts

```http
POST https://api.synup.com/api/v4/social-post-ideas/generate-all-series-posts
```

Generates all remaining posts for a content series in one call. Returns the number of posts generated.

Source: https://developer.synup.com/api/social-post-ideas/generate-all-series-posts

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `seriesId` | string | required |  |
| `socialProfileId` | string | required |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/social-post-ideas/generate-all-series-posts' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "socialProfileId": "6f1c2a90-...",
  "seriesId": "3a1f..."
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
